/**
  Input styles based on example https://codepen.io/maheshambure21/pen/EozKKy
  The effect used here is effect-16
*/

@import "../../../styles/variables";

$input-slider-margin: 1rem 0;
$input-text-font-size: 1rem;
$label-has-content-font-size: 0.9rem;
$label-has-content-move-top: -1.25rem;
$input-text-line-height: 1.5rem;
$input-text-input-vertical-padding: 4px;
$focus-border-color: $third-color;
$focus-border-height: 1px;

@function calcFontSize() {
  @return $input-text-font-size * 0.75;
}

.InputSlider {
  margin: $input-slider-margin;

  &-effect {
    position: relative;
  }

  &-placeholder {
    display: flex;
    justify-content: space-between;
  }

  &-value {
    font-weight: 700;
  }

  &-range {
    -webkit-appearance: none;
    margin: 1.5rem 0 0.5rem;
    //padding: $input-text-input-vertical-padding 0;
    //border-bottom: 1px solid #ccc;
    //background-color: transparent;
    height: 1px;
    //border-radius: 5px;
    width: 100%;
    background: #ccc;
    outline: none;
    opacity: 0.7;
    -webkit-transition: opacity 0.15s ease-in-out;
    transition: opacity 0.15s ease-in-out;
  }

  &-range:hover,
  &-range:focus {
    opacity: 1; /* Fully shown on mouse-over */
    background: $focus-border-color;
    outline: none;
  }

  /* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge)
    and -moz- (Firefox) to override default look) */
  &-range::-webkit-slider-thumb {
    -webkit-appearance: none; /* Override default look */
    appearance: none;
    width: 1.5rem; /* Set a specific slider handle width */
    height: 1.5rem; /* Slider handle height */
    background: $focus-border-color;
    border-radius: 50%;
    border: 2px solid darken($focus-border-color, 10%);
    cursor: pointer; /* Cursor on hover */
  }

  &-range::-moz-range-thumb {
    width: 1rem; /* Set a specific slider handle width */
    height: 1rem; /* Slider handle height */
    background: $focus-border-color;
    border-radius: 50%;
    border: 2px solid darken($focus-border-color, 10%);
    cursor: pointer; /* Cursor on hover */
  }

  .input-info {
    padding-top: 0.25rem;
    font-size: calcFontSize();
    opacity: 0.5;
    cursor: default;
  }
}
